import Vue from 'vue'
import App from './App'

// 引入全局uView
import uView from 'uview-ui';
Vue.use(uView);

import request from './utils/request.js'
import Storage from './store/storage.js'
Vue.prototype.$api = request
Vue.prototype.$cache = Storage

// 图片拼接地址
Vue.prototype.$baseUrl = 'https://bzdcdn.baozhida.cn/';

// #ifndef VUE3
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif